Package org.apache.groovy.contracts

# Class CircularAssertionCallException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.groovy.contracts.CircularAssertionCallException

All Implemented Interfaces:
  `Serializable`

public class CircularAssertionCallException extends RuntimeException

Thrown whenever pre- or post-conditions are called in a cyclic way.

See Also:
  - `AssertionViolation`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CircularAssertionCallException()`
  Creates an exception without additional detail.
  `CircularAssertionCallException(String s)`
  Creates an exception with a descriptive message.
  `CircularAssertionCallException(String s, Throwable throwable)`
  Creates an exception with a descriptive message and the underlying cause.
  `CircularAssertionCallException(Throwable throwable)`
  Creates an exception that wraps the underlying cause.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CircularAssertionCallException

    public CircularAssertionCallException()
    Creates an exception without additional detail.

  - ### CircularAssertionCallException

    public CircularAssertionCallException(String s)
    Creates an exception with a descriptive message.
    Parameters:
      `s` - the detail message

  - ### CircularAssertionCallException

    public CircularAssertionCallException(String s, Throwable throwable)
    Creates an exception with a descriptive message and the underlying cause.
    Parameters:
      `s` - the detail message
      `throwable` - the root cause

  - ### CircularAssertionCallException

    public CircularAssertionCallException(Throwable throwable)
    Creates an exception that wraps the underlying cause.
    Parameters:
      `throwable` - the root cause